#
# spec file for package virt-manager (Version 0.5.4)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# needsrootforbuild


Name:           virt-manager
%define _extra_release %{?dist:%{dist}}%{!?dist:%{?extra_release:%{extra_release}}}
%define gsysconfdir /etc
%define gconftool /usr/bin/gconftool-2
%define virtinst_maj 0
%define virtinst_min 300
%define virtinst_rel 3
%define virtinst_name virtinst-%{virtinst_maj}.%{virtinst_min}.%{virtinst_rel}
Version:        0.5.4
Release:        21.1
Summary:        Virtual Machine Manager
Group:          System/Monitoring
License:        GPL v2 or later
Url:            http://virt-manager.et.redhat.com
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %{ix86} x86_64 ia64
Source0:        virt-manager-%{version}.tar.gz
Source1:        %{virtinst_name}.tar.gz
Patch0:         virtman-desktop.diff
Patch5:         virtman-timewatch.diff
Patch6:         virtman-vminstall.diff
Patch7:         virtman-vif.diff
Patch8:         virtman-hardware.diff
Patch50:        virtinst-vif.diff
Patch100:       virtman-misc.diff
# These two are just the oldest version tested
# Requires:       pygtk2 >= 1.99.12-6
Requires:       python-gtk
# Requires:       gnome-python2-gconf >= 1.99.11-7
Requires:       python-gnome
# Absolutely require this version or newer
Requires:       libvirt-python >= 0.3.0-1
# Definitely does not work with earlier due to python API changes
# Requires:       dbus-python >= 0.61
Requires:       dbus-1-python
# Might work with earlier, but this is what we've tested
#Requires:       gnome-keyring >= 0.4.9
Requires:       gnome-keyring
# Minimum we've tested with
# Although if you don't have this, comment it out and the app
# will work just fine - keyring functionality will simply be
# disabled
# Requires:       gnome-python2-gnomekeyring >= 2.15.4
# Requires:       gnome-python2-gnomevfs >= 2.15.4
# Minimum we've tested with
Requires:       libxml2-python >= 2.6.23
# Required to install Xen & QEMU guests
# Requires:       python-virtinst >= 0.300.2
# Required for loading the glade UI
# Requires:       pygtk2-libglade
# Required for our graphics which are currently SVG format
# Earlier vte had broken python binding module
# Requires:       vte >= 0.12.2
Requires:       vte
# For online help
Requires:       scrollkeeper
# For console widget
# Requires:       gtk-vnc-python
Requires:       python-gtk-vnc
Requires:	python-urlgrabber
Requires:	vm-install
BuildRequires:  python
BuildRequires:  gtk2-devel
BuildRequires:  python-devel
BuildRequires:  gettext
BuildRequires:  scrollkeeper
BuildRequires:  intltool
BuildRequires:  python-gtk
BuildRequires:  python-gtk-devel
BuildRequires:  python-gobject2-devel
BuildRequires:  gconf2
BuildRequires:  desktop-file-utils
BuildRequires:  update-desktop-files
# virtinst BuildRequires
BuildRequires:  libxml2-python
BuildRequires:  python-urlgrabber
BuildRequires:  libvirt-python
%gconf_schemas_prereq

%description
Virtual Machine Manager provides a graphical tool for administering
virtual machines.



Authors:
--------
    Daniel Berrange <berrange@redhat.com>
    Hugh O. Brock <hbrock@redhat.com>
    Jeremy Katz <katzj@redhat.com>

%prep
%setup -q
%setup -b 1
%patch0 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch100 -p1
pushd $RPM_BUILD_DIR/%{virtinst_name}
%patch50 -p1
popd

%build
# autoreconf -i
%configure --sysconfdir=%{gsysconfdir}
make %{?_smp_mflags}
pushd $RPM_BUILD_DIR/%{virtinst_name}
python setup.py build
python setup.py install --root %{buildroot} --prefix %{_prefix}
popd

%install
rm -rf $RPM_BUILD_ROOT
make install  DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/virt-manager/virtinst/
install -m644 ../%{virtinst_name}/virtinst/*.py $RPM_BUILD_ROOT%{_datadir}/virt-manager/virtinst/
# install -m644 ../virtinst-0.300.2/virtinst/*.py $RPM_BUILD_ROOT%{_datadir}/virt-manager/virtinst/
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/sparkline.a
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/sparkline.la
# Unsupport languages:
rm -rf $RPM_BUILD_ROOT/usr/share/locale/or
%find_gconf_schemas
%find_lang %{name}
cat %{name}.schemas_list %{name}.lang > %{name}.lst
sed -i '\^/usr/share/gnome/help/^d' %{name}.lst
%suse_update_desktop_file %{name} X-SuSE-YaST-Virtualization
sed -i -e 's/Categories=.*/Categories=Qt;X-SuSE-YaST;X-SuSE-YaST-Virtualization;/' $RPM_BUILD_ROOT/%{_datadir}/applications/YaST2/%{name}.desktop
# Nuking these because old version didnt have any
rm -rf $RPM_BUILD_ROOT/usr/share/gnome
# Also fixing the %{name}.lang file forcibly.
sed -i '\^/usr/share/gnome/help/^d' %{name}.lang

%clean
# rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun
%posttrans -f %{name}.schemas_posttrans

%files -f %{name}.lst
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
# %dir %attr(775,root,root) /etc/gconf
# %dir %attr(775,root,root) /etc/gconf/schemas
%{gsysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libexecdir}/%{name}-launch
%{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.glade
%dir %{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/pixmaps/*.png
%{_datadir}/%{name}/pixmaps/*.svg
%{_datadir}/%{name}/*.py
%dir %{_datadir}/%{name}/virtManager
%{_datadir}/%{name}/virtManager/*.py
%dir %{_datadir}/%{name}/virtinst
%{_datadir}/%{name}/virtinst/*.py
# %dir %attr(775,root,root) %{_datadir}/locale/or
# %dir %attr(775,root,root) %{_datadir}/locale/or/LC_MESSAGES
# %{_datadir}/locale/or/LC_MESSAGES/*
%{_datadir}/omf/%{name}
# %dir %attr(775,root,root) %{_datadir}/gnome
# %{_datadir}/gnome/help
%{_datadir}/applications/YaST2/%{name}.desktop
%{_datadir}/dbus-1/services/%{name}.service
%{_datadir}/man/man1/%{name}.1*
# FIXME: autobuild complains that these are unowned (not true...)
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%dir %{_datadir}/applications/YaST2

%changelog
* Tue Apr 29 2008 dpmerrill@novell.com
- Corrected gconf calls in spec file to fix build errors
* Tue Apr 29 2008 dpmerrill@novell.com
- Added needsrootforbuild to spec file to fix build errors
* Fri Apr 25 2008 dpmerrill@novell.com
- Fixed SendKey "PrintScreen" option
* Thu Apr 24 2008 dpmerrill@novell.com
- Added python-gtk-devel and python-gobject2-devel to spec file
  to reflect changes in OpenSuse11.0
* Tue Apr 22 2008 dpmerrill@novell.com
- Changed desktop file for starting from KDE (bnc#377277)
* Mon Apr 21 2008 dpmerrill@novell.com
- Changed "SendKey" to send "Delete" instead of "Del" (bnc#381897)
* Fri Apr 18 2008 dpmerrill@novell.com
- Added vncViewerMaxRetries to prevent showing expected libvirt
  exceptions from cluttering the error log (bnc#366792)
* Wed Apr  9 2008 dpmerrill@novell.com
- Changed vnc settings to prevent screen-saver lockup (bnc#253264)
- Added read-only option in Details->Hardware for adding cdroms
  to prevent libvirt exceptions. (bnc#368204) (bnc#361990)
* Fri Apr  4 2008 dpmerrill@novell.com
- Removed Virtual Network tab from host details page (bnc#364514)
* Wed Apr  2 2008 dpmerrill@novell.com
- Fixed adding a virtual network to a vm (bnc#302663)
  Also fixed errors caused by new dbus-1 release
* Wed Mar 12 2008 dpmerrill@novell.com
- Added warning for attempting multiple installs (bnc#368278)
* Wed Feb 20 2008 dpmerrill@novell.com
- Added virtman-timewatch to minimize window after
- inactivity to work around memory leaks in GTK and DBus
- bnc#287366 (L3)
* Thu Feb 14 2008 dpmerrill@novell.com
- Changed virtman-xen-uri to correct the case where no
- connection param is passed in and uri is None
- bnc#362013
* Tue Feb 12 2008 dpmerrill@novell.com
- Changed virtman-desktop and virtman-xen-uri to correct invalid
- parms being passed in from YaST - now sends "-c xen:///"
- bnc#361334
* Tue Feb 12 2008 dpmerrill@novell.com
- Added virtman-detect to delay Hal signal connection until
- after device detection to prevent start-up delay
- bnc#361202
* Mon Feb 11 2008 dpmerrill@novell.com
- Added virtman-pointer to set vnc to show only one pointer
- bnc#359799
* Sun Feb  3 2008 dpmerrill@novell.com
- Added virtman-vminstall for connecting to vm-install
- and changed virtman-xen-uri.diff to force "xen:///"
- bnc#358400
* Sun Feb  3 2008 dpmerrill@novell.com
- Added virtman-xen-uri.diff to fix problem starting vnc.
- virtman was getting confused between "xen" and "xen:///" uris.
- bnc#358397
* Sat Feb  2 2008 dpmerrill@novell.com
- Added virtman-dbus-query.diff to work around a hal/dbus
- bug that crashes on QueryCapabilities()
- bnc#358324
* Thu Jan 31 2008 dpmerrill@novell.com
- Added virtinst to finish resolving run-time dependencies
- bnc#355826
- bnc#356999
* Wed Jan 23 2008 dpmerrill@novell.com
- Changed package requirements in spec file Requires section.
- pygtk2 -> python-gtk
- gnome-python2-gconf -> python-gnome
- dbus-python -> dbus-1-python
- gnome-python2-gnomekeyring -> removed
- gnome-python2-gnomevfs -> removed
- python-virtinst -> removed
- pygtk2-libglade -> removed
- gtk-vnc-python -> python-gtk-vnc
* Sat Jan 19 2008 dpmerrill@novell.com
- Added new virt-manager version (0.5.3) to sle10-sp2-i386
- (FATE Feature #302140)
* Thu Aug 16 2007 ccoffing@novell.com
- Update virt-manager to match vm-install changes due to #279153.
* Mon Jul  9 2007 ccoffing@novell.com
- Properly attach and detach CDs to running VM.  (#289393)
* Wed May  9 2007 ccoffing@novell.com
- Update .desktop with proper group.  (#258600)
* Fri May  4 2007 ccoffing@novell.com
- Fix syntax error ("NOne" should be "None"), which caused
  unnecessary VNC connection failures in virt-manager.  (#237406)
* Wed May  2 2007 ccoffing@novell.com
- Drop virtman-xenstored-thrashing.diff, to change the default
  refresh rate from 5 seconds back to 1 second.  It is more
  important to have up-to-date knowledge of VMs (to ensure consoles
  can be opened, etc) rather than trying to lessen virt-manager's
  processor load.  (#270761)
* Tue Apr 10 2007 ccoffing@novell.com
- Remove code that (incorrectly) guesses the vnc port.  (#259692)
- Do not refresh GUI every second (which causes xenstored to not
  thrash so badly, which makes virt-manager more responsive and
  less likely to time out or lock up).  Partial fix for #237406.
- Import changeset 440, which makes virt-manager honor dom0's
  keymap.  (#241149)
- Revert patch for bug #244772, because it causes lockups, as
  noted in bug #261110.
- Fix attaching disks to running VM.  (#238986)
* Wed Mar 28 2007 ccoffing@novell.com
- Update icon filename.
* Tue Mar 13 2007 ccoffing@novell.com
- Import threading and timer tick patches from upstream to improve
  stability. (#237406 and others)
- Do not offer QEMU option. (#254083)
* Mon Mar 12 2007 ccoffing@novell.com
- Update virt-manager to match changes in vm-install's disk class,
  due to bug #247849.
* Fri Mar  9 2007 ccoffing@novell.com
- Make Ctrl+Alt release the mouse cursor (#252998).
* Thu Mar  8 2007 ccoffing@novell.com
- Add release to "Requires: xen-tools", to prevent mixing with
  pre-beta 5.  (#238986, #252495)
* Fri Mar  2 2007 ccoffing@novell.com
- Disable gtk-menu-bar-accel when VM has focus, to allow VM to get
  F10 key. (#240001)
* Tue Feb 27 2007 ccoffing@novell.com
- Update to 0.3.1.
- "Requires: librsvg" (#250156)
- Re-use vm-install's disk UI, to allow disks to be added/removed
  from xend-managed VMs (currently only for running VMs). (#238986)
* Thu Feb 22 2007 ccoffing@novell.com
- If Xen isn't running, put up error window instead of raising.
  (#244772)
* Tue Feb 13 2007 ccoffing@novell.com
- Update to latest hg; grabs mouse for better mouse tracking.
  (#240387)
- Don't lose mouse grab on every keystroke
- Disable menubar & toolbar when pointer is in VM window, to avoid
  key conflicts.  (#240001)
- Fix syntax to avoid deprecation warnings (don't raise strings).
- YaST integration: default to managing on-box; detach from yast
  control center.
* Mon Jan 29 2007 ccoffing@novell.com
- Fix desktop file.  (#239275)
- Update to 0.3.0 (updated translations; no code changes)
* Mon Jan 22 2007 ccoffing@novell.com
- Fix desktop file, so icon shows in YaST.  (#237046)
- Clean up macros in spec file.
* Fri Jan 19 2007 ccoffing@novell.com
- Use temporary icon until real ones arrive.
- Update to changeset 371 to fix VNC issues.
* Wed Jan 17 2007 ccoffing@novell.com
- Fix BuildRequires and paths to work with both SLES10 and STABLE.
* Fri Jan 12 2007 ccoffing@novell.com
- Fix sysconfdir path.
- Add desktop file.
* Thu Jan 11 2007 ccoffing@novell.com
- Add to SLES 10 SP1 (fate #301181)
- Update to virt-manager 0.2.6.
- Fix type_register deprecation warnings.
* Tue Oct 24 2006 ccoffing@novell.com
- Initial package.
- Replace virt-inst with xen-vm-install (part of xen-tools-install)
